#!/usr/bin/perl -w

sub treatfile
{

  my $readval;
  my $manufacturer;
  my $manuflinefound;
  my $manufvalid;
  my $havemanuf;
  my $model;
  my $modellinefound;
  my $modelvalid;
  my $kap;

  $kap = "";
  $manufacturer = "";

  #
  # Read file for the first time to get manufacturer info
  #

  # open file
  if (!(open(PPDFILE,"< $_[0]"))) {
    print STDERR "Can't open PPD file: $_[0]\n";
    return(0);
  }
  # read data
  $manufvalid = 0;
  $manuflinefound = 0;
  while (defined($readval = <PPDFILE>)) {
    if ($readval =~ /^\*Manufacturer:\s*"(.*)"\s*$/)
    {
      $manufacturer = $1;
      $manuflinefound = 1;
      $manufvalid = 1;
      if (($readval =~ /"Manufacturer"/) || ($readval =~ /"ESP"/)) 
        {$manufvalid = 0};
    }
  }
  # close file
  close(PPDFILE);    

  $havemanuf = $manufvalid;
  
  # Manufacturers name should be capitalized
  $kap = $manufacturer;
  $kap =~ tr/a-z/A-Z/;

  if ($kap ne $manufacturer) {
    $manufacturer = $kap;
    $manufvalid = 0;
  }

  # Use always "HP" and not "HEWLETT PACKARD"
  if ($kap eq "HEWLETT PACKARD") {
    $manufacturer = "HP";
    $manufvalid = 0;
  }

  if ($manufvalid == 1) {return(0)};

  #
  # Read file for the second time to get model info
  #

  if ($havemanuf == 0) {
    # open file
    if (!(open(PPDFILE,"< $_[0]"))) {
      print STDERR "Can't open PPD file: $_[0]\n";
      return(0);
    }
    # read data
    $modelvalid = 0;
    while (defined($readval = <PPDFILE>)) {
      if ($readval =~ /^\*ModelName:\s*"(.*)"\s*$/)
      {
        $model=$1;
        $modelvalid = 1;
        if (($model eq "Model") || ($readval eq "model")) {$modelvalid = 0};
      }
    }
    # close file
    close(PPDFILE);    

    # Extract manufacturers name and capitalize it
    if ($modelvalid == 0) { $manufacturer="UNKNOWN MANUFACTURER"
    } else {
      @sep = split(/ /,$model);
      $manufacturer = $sep[0];
      $manufacturer =~ tr/a-z/A-Z/;
    }
  }

  #
  # Rewrite file to insert manufacturer info
  #

  # open file to read
  if (!(open(PPDFILE,"< $_[0]"))) {
    print STDERR "Can't open PPD file: $_[0]\n";
    return(0);
  }
  # open file to write
  if (!(open(NPPDFILE,"> $_[0].new"))) {
    print STDERR "Can't open new PPD file: $_[0].new\n";
    return(0);
  }
  # read data
  while (defined($readval = <PPDFILE>)) {
    if (substr($readval, 0, 14) eq "*Manufacturer:") {
      print NPPDFILE "*Manufacturer: \"$manufacturer\"\n"
    } else {
      print NPPDFILE $readval;
    }
    if ((substr($readval, 0, 4) ne "*PPD")&&(substr($readval, 0, 2) ne "*%")){
      if ($manuflinefound == 0) {
	 $manuflinefound = 1;
         print NPPDFILE "*Manufacturer: \"$manufacturer\"\n"
      }
    }
  }
  # close files
  close(PPDFILE);    
  close(NPPDFILE);
  # move new file onto place of old file
  system("mv \"$_[0].new\" \"$_[0]\"");
  return(0);
}

# main program

{
   treatfile($ARGV[0]);  
}
