#
# spec file for package cups-drivers (Version 1.1.6)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         cups-drivers
Copyright:    GPL
Group:        Utilities/Printing
Summary:      Common UNIX Printing System - Drivers
Version:      1.1.6
Release:      105
Source0:      http://www.linuxprinting.org/all-com-ppds.tar.bz2
Source1:      cleanppd.pl
Source3:      cups-i18n.tar.bz2
Requires:     ghostscript >= 5.50, cups >= 1.1
Autoreqprov:  0
Provides:     cups_drv
Obsoletes:    cups_drv
BuildArchitectures: noarch
Buildroot:    /var/tmp/%{name}-root

%description
This package contains free printer driver descriptions to be used with
CUPS. It contains a recent snapshot of the printer database
on www.linuxprinting.org.

Authors:
--------
    
    Grant Taylor <www.linuxprinting.com>

SuSE series: n

%package de
Summary:      Common UNIX Printing System - German Drivers
Group:        Utilities/Printing
Requires:     ghostscript >= 5.50, cups >= 1.1
Autoreqprov:  0

%description de
This package contains the German version of the free printer driver
descriptions to be used with Cupsomatic. It is a recent snapshot of
the printer database located on www.linuxprinting.org.

Authors:
--------
    Grant Taylor <www.linuxprinting.com>

SuSE series: n

%package cs
Summary:      Common UNIX Printing System - Czech drivers
Group:        Utilities/Printing
Requires:     ghostscript >= 5.50, cups >= 1.1
Autoreqprov:  0

%description cs
This package contains the Czech version of the free printer
driver descriptions to be used with Cupsomatic. It is a recent
snapshot of the printer database located on www.linuxprinting.org.

Authors:
--------
    Grant Taylor <www.linuxprinting.com>

SuSE series: n

%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
# remove all cups-o-matic PPDs
# rm -rf usr/share/cups/model/cups-o-matic
# uncompress recent linuxprinting PPDs
%setup -q -n cupsomatic-ppd
# uncompress perl script for PPD file cleanup
cp %{SOURCE1} ./cleanppd.pl
chmod 755 ./cleanppd.pl
tar xvfI %{SOURCE3}

%build

%install
test -n "$RPM_BUILD_ROOT" &&
  test "$RPM_BUILD_ROOT" != / &&
  rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/usr/share/cups/model
%{INSTALL_DIR} $RPM_BUILD_ROOT/usr/share/cups/model
# put linuxprinting PPDs into CUPS driver directory
cp -a ppd/* $RPM_BUILD_ROOT/usr/share/cups/model
chmod -R a+X,u+rw,go+r $RPM_BUILD_ROOT/usr/share/cups/model
# do the clean-up
find $RPM_BUILD_ROOT/usr/share/cups/model -name "*.ppd" -print -exec ./cleanppd.pl '{}' \;
pushd cups-i18n
  # Now it is $RPM_BUILD_ROOT aware
  ./translate_PPDs
popd
# pack the PPDs
find $RPM_BUILD_ROOT/usr/share/cups/model -name "*.ppd" | while read PPDFILE
do
  gzip "$PPDFILE"
done

%clean
test -n "$RPM_BUILD_ROOT" &&
  test "$RPM_BUILD_ROOT" != / &&
  rm -rf $RPM_BUILD_ROOT

%files
%dir /usr/share/cups/model/[A-Z]*
/usr/share/cups/model/[A-Z]*/*.ppd*

%files de
/usr/share/cups/model/de

%files cs
/usr/share/cups/model/cs

%changelog -n cups-drivers
* Thu Aug 16 2001 - bjacke@suse.de
- gzip PPDs
* Fri Apr 13 2001 - kendy@suse.cz
- the package uses Buildroot:
* Thu Apr 12 2001 - max@suse.de
- updated printer database
- Package splitted into cups-drivers, cups-drivers-de and
  cups-drivers-cs
- The scripts foomatic-gswrapper and cupsomatic moved to
  the cups package
- started to change the package to use Buildroot:
- single soure files are not compressed anymore
* Mon Apr 09 2001 - kendy@suse.cz
- Added scripts to localize the PPD files.
- Package splitted into cups-drivers and cups-ppds (cups-ppds,
  cups-ppds-cs, cups-ppds-de)
- Added empty German and Czech translations
* Mon Feb 26 2001 - mhafner@suse.de
- updated printer database
- added foomatic-gswrapper
* Fri Dec 01 2000 - ro@suse.de
- made package noarch
* Wed Nov 29 2000 - uli@suse.de
- replaced fixed dependency on perl with autoreqprov
- removed useless provides tag
- fixed problem with funny chars in filenames in cleanppd.pl
- fixed file list
- made paths in post section relative
* Tue Nov 21 2000 - mhafner@suse.de
- renamed to cups-drivers
- changed version to match cups system version
- updated printer database
* Fri Oct 06 2000 - mhafner@suse.de
- updated printer database
- small changes in spec file
* Mon Sep 25 2000 - ro@suse.de
- make post-script succeed unconditionally
* Tue Sep 19 2000 - mhafner@suse.de
- updated printer database
* Fri Sep 15 2000 - mhafner@suse.de
- changed name of package to cups_drv
* Fri Sep 15 2000 - mhafner@suse.de
- updated printer database
- changed some odd names of ppd files
* Thu Sep 14 2000 - mhafner@suse.de
- initial package
